commit 3802c8dc2c4cb0662c5d9c64cfea4570e55ca3fd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-27

    Update README.android

commit 6c44532b98f7008ae36e1e5921c044955bd59bd9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-27

    Update README.mingw

commit 2d4f27cb2e75584a2f8c0b983a4069bfa9fd1fd9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-27

    Workaround: Use PKG_CONFIG_PATH instead of PKG_CONFIG_LIBDIR for mingw32
    
    Not sure why PKG_CONFIG_LIBDIR does not work with mingw32 cross
    compiler. Android toolchain works with it. As a workaround, we use
    PKG_CONFIG_PATH for mingw32.

commit faddaf5415b0b4a05001103a231776a0df3e91e9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-26

    Update NEWS for 1.18.2 release

commit 1be26c0ec3a6ba3886e0ee89c6dc4dda38f33812
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-26

    Bump up version number to 1.18.2

commit a44c71586a42a2521dc9a0c6bd36f7aebe773c7c
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-24
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-24

    Fix crash in HttpSkipResponseCommand ctor
    
    (Regression from the memory holes stuff; missed to commit :p)

commit c881f9fcad7980738f8c61ad7910c1d3fc43bfb3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-20

    Run DHT if torrent is private; but don't use DHT for that torrent

commit 44c63bf72b498a6a6afa1e1b8169c23b004a305e
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-19
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-19

    Add comment to makerelease about OSX builds

commit e7f6ec3fadd5f945ecd534bda2324c5bae5a6753
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-19

    Ship makerelease* and dependencies in dist archives

commit 084214d68653e778bf431b45a8cc15d8a25f5fe4
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-05
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-19

    Remove the outdated, broken build_osx_release.sh

commit afaba4cf7367bd6064f2a1f4060ae169f0ca49e3
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-05
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-19

    Initial revision of the a new OSX release Makefile

commit a21a868af09958385dd9bbdd7355e12539248061
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-15

    FileEntry: Pass by value for simple setter functions

commit caf7213badf39ea6ca465443271b8100ce0e2b91
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Fix theme path (out-of-tree-builds)
    
    Closes GH-164

commit 32e569ab1636910610afc97fc87d59a0c36f18bd
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Fix broken EXTRA_DIST

commit 2db0c81fc8067d73230fcbffc90bd7ad1f9c07b0
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-26
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Stuff memory holes
    
    Padding changes on x86_64:
    - RequestGroup: 29 -> 5 bytes
    - DownloadContext:  25 -> 1 bytes
    - Cookie: 20 -> 4 bytes
    - Command: 8 -> 0 bytes (affects many derived as well)
    - HttpRequest: 20 -> 4 bytes
    - DownloadCommand: 18 -> 2 bytes
    - TimeBasedCommand: 14 -> 6 bytes
    - AbstractCommand: 13 -> 5 bytes
    - HttpSkipResponseCommand: 12 -> 4 bytes
    - FileEntry: 10 -> 2 bytes
    - DownloadResult: 15 -> 7 bytes
    - UriStruct: 12 -> 4 bytes
    - Piece: 11 -> 3 bytes
    - BitfieldMan -> 11 -> 3 bytes

commit 1323048ab1a254510e32d47f5549f4e30d273e5a
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-28
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Remove a dead store in Piece

commit 6f2648f891473ac49c054dca1cbac6a6c9b283e2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-09

    Update doc

commit 337d8ac9298599acf6b3fdd142a1966923130682
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Allow using libgmp with AppleTLS/WinTLS

commit ff9607d6a99322b3921715ef78ec44482c921c8d
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Add WinTLS to FeatureConfig::usedLibs

commit 766209cf2eb4f7cc948b8ec91749f29de554129d
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    It is AppleTLS (everywhere else)

commit 6a8fb5744c52464b837af04066a44794d9f4531a
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-09
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-09

    Fix warning in AppleTLS

commit dc757f49b63a192e265160897ab785c833166a58
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-07

    doc: Use sphinx_rtd_theme

commit 705dadb32be4a9be0311589138559aca29c7569e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-07

    Fix crash when metaurl contains unsupported URI or text

commit 3096601ffe978cfa7d680ee1e878467cf1bd0ac0
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-12-05
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-12-05

    Fix static builds on darwin

commit 2c566ccb68c5a31b093e64d73aeafb89efe9526a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-12-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-12-06

    Fix bad fork() return value handling

commit efe7d10b18de2a2846950ee21be538b25795b8b8
Author:     ITriskTI <ITriskTI@gmail.com>
AuthorDate: 2013-12-04
Commit:     ITriskTI <ITriskTI@gmail.com>
CommitDate: 2013-12-04

    Update aria2c.rst

commit 03d5b4627b86c09fdbca3227e21efb5251ac0043
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-23

    ColorizedStreamBuf::str: Append character prefix to stream directly

commit 80528aa9cee07f05cbd536627ca876ddf56b9407
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-17
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-11-21

    Use some colors in progress reports (where available)

commit 87ea4904a0136564bdb22a95d9fef12282c27624
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-15
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-11-21

    Implement basic color support for the Windows console
    
    Only \033[*m (SGR) is supported, with a 16+16 color terminal.

commit 4ce8c4021d620a97301f6470d108dbfe44138653
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-14
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-11-20

    Update the docs regardings TLS support

commit a476fb352ec5fb835c680b3f9e6c3822def02e7d
Author:     Nils Maier <maierman@web.de>
AuthorDate: 2013-11-14
Commit:     Nils Maier <maierman@web.de>
CommitDate: 2013-11-20

    AppleTLS: Implement PKCS12 loading.

commit c68297498d7146985f4ee48fd278d9afc63c7712
Author:     ITriskTI <ITriskTI@gmail.com>
AuthorDate: 2013-11-17
Commit:     ITriskTI <ITriskTI@gmail.com>
CommitDate: 2013-11-17

    Update aria2c.rst

commit 4d105a2686885d7ff682ed1bf702b81372708482
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-17

    Limit number of opened file globally with --bt-max-open-files option
    
    This change changes the behavior of --bt-max-open-files. Previously,
    it specifies the maximum number of opened files for each multi-file
    download. Since it is more useful to limit the number globally, the
    option now specifies the global limit. This change suggests that
    aria2.changeOption() method now ignores --bt-max-open-files and
    aria2.changeGlobalOption now reads it and dynamically change the
    limit.

commit c4334ec57908864fed952c52c6b6416ecd40f514
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-10

    Use move for XML parser

commit 9e52483c04045ced0aa11b408f905a2baa97ea49
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-10

    Refactor DownloadHandlerFactory

commit ba3b823a667fbb794d811b3c565aa103391a0e1c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-10

    Code cleanup

commit e1e6bb1ec5a813c7e86343d4fdb451d18ac048f0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-08

    Don't fail multiple concurrent dl same file if auto-file-renaming is enabled

commit 2aa8e01836da65fca6b19843610ec438eeca4b4a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-06

    Fix typo

commit 9f5fdb4e104419841b1de3edfaff9475b6f0f4be
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-01

    Code cleanup

commit fd0136259c0673d21e1b07dfa8359a81748f8499
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-01

    Remove nativeToUtf8 and utf8ToNative
    
    They are now not needed since we use Windows specific command-line
    argument converter.

commit 3a8e8f8e8a351d179018ecd8cdcf87fef6214007
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-11-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-11-01

    mingw32: Use CommandLineToArgvW() and GetCommandLineW() to read cmd-line args
    
    This change enables aria2 to read unicode characters in command-line.

commit b759725a611f6e3c62f7160abd153701d3842e66
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    Peer: Use std::unique_ptr for res_

commit 6d2dd2ab186f5c8b6406ae4659c07b850317d2ed
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    DefaultPeerStorage: Code cleanup

commit 234dd76cd43b53d4b32490bd67f534951410fae1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    DefaultPeerStorage: Add warn log when Peer::usedBy is non zero on checkoutPeer

commit 12fe61820a24991c65d72958def21f36e4eac1ed
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    DefaultPeerStorage: Log origPort in checkoutPeer and returnPeer
    
    Also make the log level warning when the returned peer is not found.

commit 4c181a08b7f178b3ba722d73b4b705501629c86a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    Add a note about libaria2 dll for mingw build

commit 89beed8d45e78e365314d38cc6e4064f4cc14831
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-26

    mingw-config: Explicitly disable libgcrypt and libnettle

commit cdbd4f009555a492b2bd3aa703124e3f48eeff43
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2013-10-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2013-10-24

    Adjust libtool and linker flags
    
    Since we use libtool, -static-libgcc and -static-libstdc++ are
    stripped by libtool and not used. We just use -all-static libtool flag
    for this purpose.
    
    To create windows dll, it turns out that we need -no-undefined flag.
